/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.filter.wizards;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.ModifyEvent;
import org.eclipse.swt.widgets.Composite;

import benten.twa.filter.dialogs.ImportHtmlDialog;

public class ImportHtmlWizardPage2 extends WizardPage {

	private final IStructuredSelection selection;
	private ImportHtmlDialog importHtmlDialog;

	protected ImportHtmlWizardPage2(IStructuredSelection selection) {
		super("ImportTranslationSourceWizardPage");
		setTitle("翻訳対象のインポート");
		setDescription("翻訳対象のHTMLをインポートします。");
		this.selection = selection;
	}

	public void createControl(Composite parent) {
		importHtmlDialog = new ImportHtmlDialog(parent.getShell(), selection) {
			@Override
			public void modifyText(ModifyEvent e) {
				IStatus status = getValidateStatus();
				if (status.isOK()) {
					setErrorMessage(null);
					setPageComplete(true);
				} else {
					setErrorMessage(status.getMessage());
					setPageComplete(false);
				}
			}
		};
		Composite composite = new Composite(parent, SWT.NULL);
		importHtmlDialog.createControls(composite);
		setControl(composite);
		setPageComplete(false);
	}

	public IStatus getStatus() {
		return importHtmlDialog.getResultStatus();
	}
}
